> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /usaspending/awards

> Get federal award details by award identifier

**Price:** 1 credit

**⚠️ Common errors:** 412: Award not found



## OpenAPI

````yaml /openapi/gov-public-sector.json post /api/usaspending/awards
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/usaspending/awards:
    post:
      tags:
        - /usaspending
      summary: /usaspending/awards
      description: |-
        Get federal award details by award identifier

        **Price:** 1 credit

        **⚠️ Common errors:** 412: Award not found
      operationId: __api_usaspending_awards_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UsaspendingAwardPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/UsaspendingAward'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    UsaspendingAwardPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        award:
          type: string
          minLength: 1
      type: object
      required:
        - award
    UsaspendingAward:
      properties:
        '@type':
          type: string
          default: UsaspendingAward
        id:
          type: integer
        generated_unique_award_id:
          type: string
        piid:
          anyOf:
            - type: string
            - type: 'null'
        fain:
          anyOf:
            - type: string
            - type: 'null'
        uri:
          anyOf:
            - type: string
            - type: 'null'
        category:
          anyOf:
            - type: string
            - type: 'null'
        type:
          anyOf:
            - type: string
            - type: 'null'
        type_description:
          anyOf:
            - type: string
            - type: 'null'
        total_obligation:
          anyOf:
            - type: number
            - type: 'null'
        total_outlay:
          anyOf:
            - type: number
            - type: 'null'
        base_and_all_options:
          anyOf:
            - type: number
            - type: 'null'
        base_exercised_options:
          anyOf:
            - type: number
            - type: 'null'
        total_subsidy_cost:
          anyOf:
            - type: number
            - type: 'null'
        total_loan_value:
          anyOf:
            - type: number
            - type: 'null'
        subaward_count:
          type: integer
          default: 0
        total_subaward_amount:
          anyOf:
            - type: number
            - type: 'null'
        date_signed:
          anyOf:
            - type: string
            - type: 'null'
        record_type:
          anyOf:
            - type: integer
            - type: 'null'
        naics:
          anyOf:
            - type: string
            - type: 'null'
        naics_description:
          anyOf:
            - type: string
            - type: 'null'
        psc:
          anyOf:
            - type: string
            - type: 'null'
        psc_description:
          anyOf:
            - type: string
            - type: 'null'
        awarding_agency:
          anyOf:
            - $ref: '#/components/schemas/UsaspendingAgencyRef'
            - type: 'null'
        funding_agency:
          anyOf:
            - $ref: '#/components/schemas/UsaspendingAgencyRef'
            - type: 'null'
        recipient:
          anyOf:
            - $ref: '#/components/schemas/UsaspendingAwardRecipient'
            - type: 'null'
        period_of_performance:
          anyOf:
            - $ref: '#/components/schemas/UsaspendingPeriodOfPerformance'
            - type: 'null'
        place_of_performance:
          anyOf:
            - $ref: '#/components/schemas/UsaspendingLocation'
            - type: 'null'
        latest_transaction_contract_data:
          anyOf:
            - $ref: '#/components/schemas/UsaspendingContractData'
            - type: 'null'
        cfda_info:
          items:
            $ref: '#/components/schemas/UsaspendingCfda'
          type: array
          default: []
        executive_officers:
          items:
            $ref: '#/components/schemas/UsaspendingExecutiveOfficer'
          type: array
          default: []
      type: object
      required:
        - id
        - generated_unique_award_id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    UsaspendingAgencyRef:
      properties:
        '@type':
          type: string
          default: UsaspendingAgencyRef
        id:
          anyOf:
            - type: integer
            - type: 'null'
        toptier_name:
          anyOf:
            - type: string
            - type: 'null'
        toptier_code:
          anyOf:
            - type: string
            - type: 'null'
        toptier_abbreviation:
          anyOf:
            - type: string
            - type: 'null'
        subtier_name:
          anyOf:
            - type: string
            - type: 'null'
        subtier_code:
          anyOf:
            - type: string
            - type: 'null'
        subtier_abbreviation:
          anyOf:
            - type: string
            - type: 'null'
        office_agency_name:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    UsaspendingAwardRecipient:
      properties:
        '@type':
          type: string
          default: UsaspendingAwardRecipient
        name:
          anyOf:
            - type: string
            - type: 'null'
        uei:
          anyOf:
            - type: string
            - type: 'null'
        recipient_hash:
          anyOf:
            - type: string
            - type: 'null'
        parent_name:
          anyOf:
            - type: string
            - type: 'null'
        parent_uei:
          anyOf:
            - type: string
            - type: 'null'
        parent_recipient_hash:
          anyOf:
            - type: string
            - type: 'null'
        business_categories:
          items:
            type: string
          type: array
          default: []
        location:
          anyOf:
            - $ref: '#/components/schemas/UsaspendingLocation'
            - type: 'null'
      type: object
    UsaspendingPeriodOfPerformance:
      properties:
        '@type':
          type: string
          default: UsaspendingPeriodOfPerformance
        start_date:
          anyOf:
            - type: string
            - type: 'null'
        end_date:
          anyOf:
            - type: string
            - type: 'null'
        last_modified_date:
          anyOf:
            - type: string
            - type: 'null'
        potential_end_date:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    UsaspendingLocation:
      properties:
        '@type':
          type: string
          default: UsaspendingLocation
        country_code:
          anyOf:
            - type: string
            - type: 'null'
        country_name:
          anyOf:
            - type: string
            - type: 'null'
        state_code:
          anyOf:
            - type: string
            - type: 'null'
        state_name:
          anyOf:
            - type: string
            - type: 'null'
        city_name:
          anyOf:
            - type: string
            - type: 'null'
        county_code:
          anyOf:
            - type: string
            - type: 'null'
        county_name:
          anyOf:
            - type: string
            - type: 'null'
        congressional_code:
          anyOf:
            - type: string
            - type: 'null'
        zip5:
          anyOf:
            - type: string
            - type: 'null'
        address_line1:
          anyOf:
            - type: string
            - type: 'null'
        foreign_province:
          anyOf:
            - type: string
            - type: 'null'
        foreign_postal_code:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    UsaspendingContractData:
      properties:
        '@type':
          type: string
          default: UsaspendingContractData
        naics:
          anyOf:
            - type: string
            - type: 'null'
        naics_description:
          anyOf:
            - type: string
            - type: 'null'
        product_or_service_code:
          anyOf:
            - type: string
            - type: 'null'
        product_or_service_description:
          anyOf:
            - type: string
            - type: 'null'
        extent_competed:
          anyOf:
            - type: string
            - type: 'null'
        extent_competed_description:
          anyOf:
            - type: string
            - type: 'null'
        type_set_aside:
          anyOf:
            - type: string
            - type: 'null'
        type_set_aside_description:
          anyOf:
            - type: string
            - type: 'null'
        type_of_contract_pricing:
          anyOf:
            - type: string
            - type: 'null'
        type_of_contract_pricing_description:
          anyOf:
            - type: string
            - type: 'null'
        solicitation_identifier:
          anyOf:
            - type: string
            - type: 'null'
        number_of_offers_received:
          anyOf:
            - type: string
            - type: 'null'
        idv_type_description:
          anyOf:
            - type: string
            - type: 'null'
        dod_acquisition_program_description:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    UsaspendingCfda:
      properties:
        '@type':
          type: string
          default: UsaspendingCfda
        cfda_number:
          anyOf:
            - type: string
            - type: 'null'
        cfda_title:
          anyOf:
            - type: string
            - type: 'null'
        federal_action_obligation_amount:
          anyOf:
            - type: number
            - type: 'null'
      type: object
    UsaspendingExecutiveOfficer:
      properties:
        '@type':
          type: string
          default: UsaspendingExecutiveOfficer
        name:
          type: string
        amount:
          anyOf:
            - type: number
            - type: 'null'
      type: object
      required:
        - name
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````